Relesys API Docs

v1.4

https://api.uat.relesystest.net/api/v1.4

Courses

Get Courses
GET /training/courses
https://api.uat.relesystest.net/api/v1.4/training/courses
Get a list of Courses
Scopes: relesys.api, relesys.api:read, relesys.api.training, relesys.api.training:read
Query String
courseGroupId string / guid Filterable optional
creationDateTime datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
name string Filterable Sortable optional
performanceScoreRequired integer Filterable Sortable optional
phaseId string / guid Filterable optional
sortOrder integer Filterable Sortable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"30295e4e-31f6-416d-87fb-c37961001ee7","courseGroupId":"85d68303-44ed-433f-a867-3bce1c89d793","phaseId":"cde5171d-ad22-4ddb-bf3a-93402e5a5b43","creationDateTime":"2020-06-02T22:00:00+00:00","lastModifiedDateTime":"2020-11-08T22:00:00+00:00","name":"Training Course","performanceScoreRequired":95},{"id":"b8874afc-a83b-4eb1-8142-2fe7ba024658","courseGroupId":"4e358622-ccbb-44d9-9ba8-c97d8b399800","phaseId":"fca5c1b1-4b97-4b3c-b506-0e988712dc37","creationDateTime":"2020-08-15T22:00:00+00:00","lastModifiedDateTime":"2020-10-19T22:00:00+00:00","name":"Training E-Learning","performanceScoreRequired":80}]}
object
  count integer      
  data array[object]      
   courseGroupId string / guid      
   creationDateTime datetimeoffset      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   name string      
   performanceScoreRequired integer      
   phaseId string / guid      
  nextUrl string      
  previousUrl string